Skip to content

List invoices, optionally by customer

GET
/api/v1/invoices
curl --request GET \
--url https://example.com/api/v1/invoices \
--header 'x-api-key: <x-api-key>'
customerId
string
limit
page
Media typeapplication/json
object
data
required
Array<object>
object
id
required
string
stripeInvoiceId
required
string
customerId
required
string
nullable
stripeCustomerId
required
string
nullable
stripeSubscriptionId
required
string
nullable
amountDue
required
number
amountPaid
required
number
currency
required
string
status
required
string
hostedInvoiceUrl
required
string
nullable
createdAt
required
string format: date-time
updatedAt
required
string format: date-time
total
required
number
page
required
number
limit
required
number

Example generated

{
"data": [
{
"id": "example",
"stripeInvoiceId": "example",
"customerId": "example",
"stripeCustomerId": "example",
"stripeSubscriptionId": "example",
"amountDue": 1,
"amountPaid": 1,
"currency": "example",
"status": "example",
"hostedInvoiceUrl": "example",
"createdAt": "2026-04-15T12:00:00Z",
"updatedAt": "2026-04-15T12:00:00Z"
}
],
"total": 1,
"page": 1,
"limit": 1
}